Skip to main content
GET
/
v5
/
expenses
/
expenses
Get expenses
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/expenses/expenses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": 50.01,
      "id": 123,
      "status": "ACTIVE",
      "type": "BUSINESS",
      "date": "2022-01-04T10:20:00Z",
      "state": "UNKNOWN",
      "salesTaxAmount": 1.01,
      "description": "Gas purchase",
      "vendorId": 123,
      "vendorName": "United Airlines",
      "businessId": 123,
      "clientId": 123,
      "clientName": "<string>",
      "categoryId": 123,
      "personalCategoryId": 123,
      "expenseRuleId": 123,
      "invoiceId": 123,
      "confidence": "LIKELY",
      "frequency": "ONE_TIME",
      "recurringParentId": 123,
      "isParent": true,
      "apiExpenseId": "<string>",
      "apiAccountId": "<string>",
      "apiAccountNo": "<string>",
      "apiAccountName": "Citi Premier® Card",
      "apiInstitutionId": "<string>",
      "bankAccountId": 123,
      "bankDescription": "<string>",
      "billId": 123,
      "bankTransferId": 123,
      "childExpenses": [
        {
          "type": "BUSINESS",
          "amount": 50.01,
          "status": "ACTIVE",
          "id": 123,
          "businessId": 123,
          "clientId": 123,
          "categoryId": 123,
          "personalCategoryId": 123,
          "invoiceId": 123,
          "description": "Gas purchase",
          "salesTaxAmount": 1.01,
          "state": "DC",
          "vendorId": 123,
          "billId": {}
        }
      ],
      "customData": {},
      "reviewStatus": "PARTNER_REVIEW_REQUIRED",
      "userAccess": "NONE",
      "accountantAccess": "NONE",
      "v6EntityId": "<string>",
      "orderId": "<string>"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will return all expenses.

type
enum<string>[]

Type filter - returns all expenses for the specified types. Null or empty list will default to PENDING, BUSINESS, & NOT_BUSINESS.

Available options:
BUSINESS,
NOT_BUSINESS,
PENDING,
PAYROLL
status
enum<string>[]

Status filter - returns all expenses for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE
includeRecurringParents
boolean

Whether recurring parent expenses should be included in the response. Defaults to true, i.e. all expenses, including recurring parent expenses, will be returned.

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate